mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Reflection.TypeInfo System.Runtime.InteropServices._TypeBuilder System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._TypeBuilder)) System.Runtime.InteropServices.ComVisible(true)

TypeBuilder is the root class used to control the creation of dynamic classes in the runtime. TypeBuilder provides a set of routines that are used to define classes, add methods and fields, and create the class inside the runtime. A new TypeBuilder can be created from a dynamic module.

To create an array type, pointer type, or byref type for an incomplete type that is represented by a object, use the method, method, or method, respectively.

Defines and creates new instances of classes during run time.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  AddDeclarativeSecurity may be called several times with each call specifying a security action (such as Demand, Assert, or Deny) and a set of permissions that apply to the action.

  In the .NET Framework versions 1.0, 1.1, and 2.0, the declarative security attributes applied to a type by using this method are stored in the old XML metadata format. See Emitting Declarative Security Attributes.

  Adds declarative security to this type.

  The security action to be taken such as Demand, Assert, and so on. The set of permissions the action applies to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` To be added

  Adds an interface that this type implements.

  The interface that this type implements.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly To be added. To be added.

  Retrieves the dynamic assembly that contains this type definition.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The format of the returned string is the concatenation of the full name of the type () and the display name of the assembly (), separated by a comma and a space.

  See for a description of the format of the display name of an assembly.

  ## Version Information

  In the .NET Framework versions 1.0 and 1.1, the value of this property does not include the culture or public key.

  Returns the full name of this type qualified by the display name of the assembly.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Retrieves the base type of this type.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  If this type is a nested type, the method must be called on the enclosing type before it is called on the nested type.

  If the current type derives from an incomplete type or implements incomplete interfaces, call the method on the parent type and the interface types before calling it on the current type.

  If the enclosing type contains a field that is a value type defined as a nested type (for example, a field that is an enumeration defined as a nested type), calling the method on the enclosing type will generate a event. This is because the loader cannot determine the size of the enclosing type until the nested type has been completed. The caller should define a handler for the event to complete the definition of the nested type by calling on the object that represents the nested type. The code example for this topic shows how to define such an event handler.

  A type is created only once, no matter how many times the method is called. All calls return the same object.

  Creates a object for the class. After defining fields and methods on the class, CreateType is called in order to load its Type object.

  Returns the new object for this class.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodBase To be added.

  When emitting code, a generic type parameter is represented by a object rather than by a object.

  Gets the method that declared the current generic type parameter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Returns the type that declared this type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.Emit.ConstructorBuilder `` `` ``

  If you do not define a constructor for your dynamic type, a default constructor is provided automatically, and it calls the default constructor of the base class.

  If you define a constructor for your dynamic type, a default constructor is not provided. You have the following options for providing a default constructor in addition to the constructor you defined:

  If you want a default constructor that simply calls the default constructor of the base class, you can use the method to create one (and optionally restrict access to it). Do not provide an implementation for this default constructor. If you do, an exception is thrown when you try to use the constructor. No exception is thrown when the method is called.

  If you want a default constructor that does something more than simply calling the default constructor of the base class, or that calls another constructor of the base class, or that does something else entirely, you must use the method to create one, and provide your own implementation.

  Adds a new constructor to the type, with the given attributes and signature.

  The defined constructor.

  The attributes of the constructor. The calling convention of the constructor. The parameter types of the constructor.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.Emit.ConstructorBuilder `` `` `` `` ``

  This overload is provided for designers of managed compilers.

  For more information on custom modifiers, see the ECMA Partition II Metadata documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Adds a new constructor to the type, with the given attributes, signature, and custom modifiers.

  The defined constructor.

  The attributes of the constructor. The calling convention of the constructor. The parameter types of the constructor. An array of arrays of types. Each array of types represents the required custom modifiers for the corresponding parameter, such as . If a particular parameter has no required custom modifiers, specify null instead of an array of types. If none of the parameters have required custom modifiers, specify null instead of an array of arrays. An array of arrays of types. Each array of types represents the optional custom modifiers for the corresponding parameter, such as . If a particular parameter has no optional custom modifiers, specify null instead of an array of types. If none of the parameters have optional custom modifiers, specify null instead of an array of arrays.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.Emit.ConstructorBuilder ``

  Because the default constructor is automatically defined, it is necessary to call this method only in the following situations:

  You have defined another constructor and you also want a default constructor that simply calls the base class constructor.

  You want to set the attributes on the default constructor to something other than , , , , and .

  Defines the default constructor. The constructor defined here will simply call the default constructor of the parent.

  Returns the constructor.

  A MethodAttributes object representing the attributes to be applied to the constructor.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.EventBuilder `` `` `` To be added

  Adds a new event to the type, with the given name, attributes and event type.

  The defined event.

  The name of the event. cannot contain embedded nulls. The attributes of the event. The type of the event.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.FieldBuilder `` `` `` To be added

  Adds a new field to the type, with the given name, attributes, and field type.

  The defined field.

  The name of the field. cannot contain embedded nulls. The type of the field The attributes of the field.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.FieldBuilder `` `` `` `` ``

  This overload is provided for designers of managed compilers.

  Adds a new field to the type, with the given name, attributes, field type, and custom modifiers.

  The defined field.

  The name of the field. cannot contain embedded nulls. The type of the field An array of types representing the required custom modifiers for the field, such as . An array of types representing the optional custom modifiers for the field, such as . The attributes of the field.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.GenericTypeParameterBuilder[] `System.ParamArray`

  Calling this method makes the current type a generic type. If the method is called again on the same type, an is thrown.

  Defines the generic type parameters for the current type, specifying their number and their names, and returns an array of objects that can be used to set their constraints.

  An array of objects that can be used to define the constraints of the generic type parameters for the current type.

  An array of names for the generic type parameters.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.FieldBuilder `` `` ``

  The field that you create with this method will be static, even if you do not include FieldAttributes.Static in the parameter.

  Defines initialized data field in the .sdata section of the portable executable (PE) file.

  A field to reference the data.

  The name used to refer to the data. cannot contain embedded nulls. The blob of data. The attributes for the field.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` ``

  Use this method overload when you do not know the method signature at the time you define the method. For example, the parameter types and return type of a generic method might be specified by the method's generic type parameters, which must be defined after the method has been added to the type. The parameters and return type of the method can be set later using the method.

  This method overload defines a method with . If you need to define a method without a signature, with a different calling convention, use the method overload.

  Adds a new method to the type, with the specified name and method attributes.

  A representing the newly defined method.

  The name of the method. cannot contain embedded nulls. The attributes of the method.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` ``

  Use this method overload when you do not know the method signature at the time you define the method. For example, the parameter types and return type of a generic method might be specified by the method's generic type parameters, which must be defined after the method has been added to the type. The parameters and return type of the method can be set later using the method.

  Adds a new method to the type, with the specified name, method attributes, and calling convention.

  A representing the newly defined method.

  The name of the method. cannot contain embedded nulls. The attributes of the method. The calling convention of the method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` `` `` To be added

  Adds a new method to the type, with the specified name, method attributes, and method signature.

  The defined method.

  The name of the method. cannot contain embedded nulls. The attributes of the method. The return type of the method. The types of the parameters of the method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` `` `` `` To be added

  Adds a new method to the type, with the specified name, method attributes, calling convention, and method signature.

  A representing the newly defined method.

  The name of the method. cannot contain embedded nulls. The attributes of the method. The calling convention of the method. The return type of the method. The types of the parameters of the method.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` `` `` `` `` `` `` ``

  Use this overload if you need to specify custom modifiers. If you need to specify custom modifiers after the method has been created, as you would, for example, with a generic method whose parameter types are specified by its generic type parameters, you can use the or method overloads to define the method and then use the method to define the parameter and return types with custom modifiers.

  For more information on custom modifiers, see the ECMA Partition II Metadata documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Adds a new method to the type, with the specified name, method attributes, calling convention, method signature, and custom modifiers.

  A object representing the newly added method.

  The name of the method. cannot contain embedded nulls. The attributes of the method. The calling convention of the method. The return type of the method. An array of types representing the required custom modifiers, such as , for the return type of the method. If the return type has no required custom modifiers, specify null. An array of types representing the optional custom modifiers, such as , for the return type of the method. If the return type has no optional custom modifiers, specify null. The types of the parameters of the method. An array of arrays of types. Each array of types represents the required custom modifiers for the corresponding parameter, such as . If a particular parameter has no required custom modifiers, specify null instead of an array of types. If none of the parameters have required custom modifiers, specify null instead of an array of arrays. An array of arrays of types. Each array of types represents the optional custom modifiers for the corresponding parameter, such as . If a particular parameter has no optional custom modifiers, specify null instead of an array of types. If none of the parameters have optional custom modifiers, specify null instead of an array of arrays.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Do not use this method to emit method overrides or interface implementations. To override a method of a base class or to implement a method of an interface, simply emit a method with the same name and signature as the method to be overridden or implemented, as demonstrated in the code example.

  The method is used when a method body and a method declaration have different names. For example, a class might override a base class method and also provide a separate implementation for an interface member with the same name, as demonstrated in the code example.

  DefineMethodOverride defines a methodimpl, which consists of a pair of metadata tokens. One token points to an implementation, and the other token points to a declaration that the body implements. The body must be defined on the type the method impl is defined on, and the body must be virtual (Overridable in Visual Basic). The declaration can be made to a method defined on an interface implemented by the type, a method on a derived class, or a method defined in the type. If the declaration is on an interface only, the slot defined for the interface is altered. If the declaration is made to a method on a base type, the slot for the method is overridden and any duplicates for the overridden method are also replaced. The overridden method cannot be the actual method that is declared. If the method is on the same type, the slot is replaced and any duplicates for the replaced methods are overridden.

  For more information about method impls, see MethodImpl in the ECMA Partition II Metadata documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  After the method is called, some features of cannot be changed. For example, you cannot apply an attribute to a generic type parameter of by using the method. If you must use the method, do so after all characteristics of have been defined.

  Specifies a given method body that implements a given method declaration, potentially with a different name.

  The method body to be used. This should be a MethodBuilder object. The method whose declaration is to be used.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeBuilder ``

  This method can be used to create nested types even after the method has been called on the enclosing type.

  The nested type needs to be complete before you can reflect on it using , , or .

  See the description of for the order in which nested types and nesting types should be completed.

  A duplicate name is not necessarily created if is identical to the name of a previously defined type or nested type. To be duplicates, the full names must be the same, including the namespace and all nesting types.

  Defines a nested type, given its name.

  The defined nested type.

  The short name of the type. cannot contain embedded nulls.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeBuilder `` ``

  This method can be used to create nested types even after the method has been called on the enclosing type.

  The nested type needs to be complete before you can reflect on it using , , or .

  See the description of for the order in which nested types and nesting types should be completed.

  A duplicate name is not necessarily created if is identical to the name of a previously defined type or nested type. To be duplicates, the full names must be the same, including the namespace and all nesting types.

  Defines a nested type, given its name and attributes.

  The defined nested type.

  The short name of the type. cannot contain embedded nulls. The attributes of the type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeBuilder `` `` ``

  This method can be used to create nested types even after the method has been called on the enclosing type.

  The nested type needs to be complete before you can reflect on it using , , or .

  See the description of for the order in which nested types and nesting types should be completed.

  A duplicate name is not necessarily created if is identical to the name of a previously defined type or nested type. To be duplicates, the full names must be the same, including the namespace and all nesting types.

  Defines a nested type, given its name, attributes, and the type that it extends.

  The defined nested type.

  The short name of the type. cannot contain embedded nulls. The attributes of the type. The type that the nested type extends.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeBuilder `` `` `` ``

  This method can be used to create nested types even after the method has been called on the enclosing type.

  The nested type needs to be complete before you can reflect on it using , , or .

  See the description of for the order in which nested types and nesting types should be completed.

  A duplicate name is not necessarily created if is identical to the name of a previously defined type or nested type. To be duplicates, the full names must be the same, including the namespace and all nesting types.

  Defines a nested type, given its name, attributes, the total size of the type, and the type that it extends.

  The defined nested type.

  The short name of the type. cannot contain embedded nulls. The attributes of the type. The type that the nested type extends. The total size of the type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeBuilder `` `` `` ``

  This method can be used to create nested types even after the method has been called on the enclosing type.

  The nested type needs to be complete before you can reflect on it using , , or .

  See the description of for the order in which nested types and nesting types should be completed.

  A duplicate name is not necessarily created if is identical to the name of a previously defined type or nested type. To be duplicates, the full names must be the same, including the namespace and all nesting types.

  Defines a nested type, given its name, attributes, the type that it extends, and the packing size.

  The defined nested type.

  The short name of the type. cannot contain embedded nulls. The attributes of the type. The type that the nested type extends. The packing size of the type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.Emit.TypeBuilder `` `` `` ``

  This method can be used to create nested types even after the method has been called on the enclosing type.

  The nested type needs to be complete before you can reflect on it using , , or .

  See the description of for the order in which nested types and nesting types should be completed.

  A duplicate name is not necessarily created if is identical to the name of a previously defined type or nested type. To be duplicates, the full names must be the same, including the namespace and all nesting types.

  Defines a nested type, given its name, attributes, the type that it extends, and the interfaces that it implements.

  The defined nested type.

  The short name of the type. cannot contain embedded nulls. The attributes of the type. The type that the nested type extends. The interfaces that the nested type implements.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` `` `` `` `` `` ``

  Some DLL import attributes (see the description of ) cannot be specified as arguments to this method. For example, the DLL import attribute must be added after the PInvoke method is created, if the method returns a value. The example shows how to do this.

  Defines a PInvoke method given its name, the name of the DLL in which the method is defined, the attributes of the method, the calling convention of the method, the return type of the method, the types of the parameters of the method, and the PInvoke flags.

  The defined PInvoke method.

  The name of the PInvoke method. cannot contain embedded nulls. The name of the DLL in which the PInvoke method is defined. The attributes of the method. The method's calling convention. The method's return type. The types of the method's parameters. The native calling convention. The method's native character set.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` `` `` `` `` `` `` ``

  Some DLL import attributes (see the description of ) cannot be specified as arguments to this method. For example, the DLL import attribute must be added after the PInvoke method is created, if the method returns a value. The example shows how to do this.

  Defines a PInvoke method given its name, the name of the DLL in which the method is defined, the name of the entry point, the attributes of the method, the calling convention of the method, the return type of the method, the types of the parameters of the method, and the PInvoke flags.

  The defined PInvoke method.

  The name of the PInvoke method. cannot contain embedded nulls. The name of the DLL in which the PInvoke method is defined. The name of the entry point in the DLL. The attributes of the method. The method's calling convention. The method's return type. The types of the method's parameters. The native calling convention. The method's native character set.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.MethodBuilder `` `` `` `` `` `` `` `` `` `` `` `` ``

  Some DLL import attributes (see the description of ) cannot be specified as arguments to this method. For example, the DLL import attribute must be added after the PInvoke method is created, if the method returns a value. The example shows how to do this.

  For more information on custom modifiers, see the ECMA Partition II Metadata documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Defines a PInvoke method given its name, the name of the DLL in which the method is defined, the name of the entry point, the attributes of the method, the calling convention of the method, the return type of the method, the types of the parameters of the method, the PInvoke flags, and custom modifiers for the parameters and return type.

  A representing the defined PInvoke method.

  The name of the PInvoke method. cannot contain embedded nulls. The name of the DLL in which the PInvoke method is defined. The name of the entry point in the DLL. The attributes of the method. The method's calling convention. The method's return type. An array of types representing the required custom modifiers, such as , for the return type of the method. If the return type has no required custom modifiers, specify null. An array of types representing the optional custom modifiers, such as , for the return type of the method. If the return type has no optional custom modifiers, specify null. The types of the method's parameters. An array of arrays of types. Each array of types represents the required custom modifiers for the corresponding parameter, such as . If a particular parameter has no required custom modifiers, specify null instead of an array of types. If none of the parameters have required custom modifiers, specify null instead of an array of arrays. An array of arrays of types. Each array of types represents the optional custom modifiers for the corresponding parameter, such as . If a particular parameter has no optional custom modifiers, specify null instead of an array of types. If none of the parameters have optional custom modifiers, specify null instead of an array of arrays. The native calling convention. The method's native character set.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.PropertyBuilder `` `` `` `` To be added

  Adds a new property to the type, with the given name and property signature.

  The defined property.

  The name of the property. cannot contain embedded nulls. The attributes of the property. The return type of the property. The types of the parameters of the property.
- Method
  4.0.0.0
  System.Reflection.Emit.PropertyBuilder `` `` `` `` `` To be added.

  Adds a new property to the type, with the given name, attributes, calling convention, and property signature.

  The defined property.

  The name of the property. cannot contain embedded nulls. The attributes of the property. The calling convention of the property accessors. The return type of the property. The types of the parameters of the property.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.PropertyBuilder `` `` `` `` `` `` `` ``

  This overload is provided for designers of managed compilers.

  For more information on custom modifiers, see the ECMA Partition II Metadata documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Adds a new property to the type, with the given name, property signature, and custom modifiers.

  The defined property.

  The name of the property. cannot contain embedded nulls. The attributes of the property. The return type of the property. An array of types representing the required custom modifiers, such as , for the return type of the property. If the return type has no required custom modifiers, specify null. An array of types representing the optional custom modifiers, such as , for the return type of the property. If the return type has no optional custom modifiers, specify null. The types of the parameters of the property. An array of arrays of types. Each array of types represents the required custom modifiers for the corresponding parameter, such as . If a particular parameter has no required custom modifiers, specify null instead of an array of types. If none of the parameters have required custom modifiers, specify null instead of an array of arrays. An array of arrays of types. Each array of types represents the optional custom modifiers for the corresponding parameter, such as . If a particular parameter has no optional custom modifiers, specify null instead of an array of types. If none of the parameters have optional custom modifiers, specify null instead of an array of arrays.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.PropertyBuilder `` `` `` `` `` `` `` `` ``

  This overload is provided for designers of managed compilers.

  For more information on custom modifiers, see the ECMA Partition II Metadata documentation. The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  This method overload is introduced in the net_v35_long or later.

  Adds a new property to the type, with the given name, calling convention, property signature, and custom modifiers.

  The defined property.

  The name of the property. cannot contain embedded nulls. The attributes of the property. The calling convention of the property accessors. The return type of the property. An array of types representing the required custom modifiers, such as , for the return type of the property. If the return type has no required custom modifiers, specify null. An array of types representing the optional custom modifiers, such as , for the return type of the property. If the return type has no optional custom modifiers, specify null. The types of the parameters of the property. An array of arrays of types. Each array of types represents the required custom modifiers for the corresponding parameter, such as . If a particular parameter has no required custom modifiers, specify null instead of an array of types. If none of the parameters have required custom modifiers, specify null instead of an array of arrays. An array of arrays of types. Each array of types represents the optional custom modifiers for the corresponding parameter, such as . If a particular parameter has no optional custom modifiers, specify null instead of an array of types. If none of the parameters have optional custom modifiers, specify null instead of an array of arrays.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.Emit.ConstructorBuilder

  The initializer created is always public.

  Defines the initializer for this type.

  Returns a type initializer.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.FieldBuilder `` `` ``

  The field that you create with this method will be static, even if you do not include FieldAttributes.Static in the parameter.

  Defines an uninitialized data field in the .sdata section of the portable executable (PE) file.

  A field to reference the data.

  The name used to refer to the data. cannot contain embedded nulls. The size of the data field. The attributes for the field.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The returned format is "enclosingTypeFullName+nestedTypeName" for nested types and "typeName" for non-nested types.

  Retrieves the full path of this type.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.GenericParameterAttributes To be added.

  When emitting code, a generic type parameter is represented by a object rather than by a object.

  Gets a value that indicates the covariance and special constraints of the current generic type parameter.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  When emitting code, a generic type parameter is represented by a object rather than by a object.

  If the current does not represent a generic type parameter, the value of this property is undefined. Use the property to determine whether the current represents a generic type parameter.

  Gets the position of a type parameter in the type parameter list of the generic type that declared the parameter.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo `` ``

  The method provides a way to get a object that represents a constructor of a constructed generic type whose generic type definition is represented by a object.

  For example, suppose you have a object that represents the type G<T> in C# syntax (G(Of T) in Visual Basic, generic <T> ref class G in C++) and a object that represents a constructor of G<T>. Suppose that G<T> has a generic method with type parameter U that creates an instance of the constructed type G<U>. In order to emit the code to create an instance of the constructed type, you need a object that represents the constructor of this constructed type — in other words, that creates an instance of G<U>. To do this, first call the method on the object, specifying the object that represents U as the type argument. Then call the method with the return value of the method as parameter and the object that represents the constructor of G<U> as parameter . The return value is the object you need to emit the function call. The code example demonstrates this scenario.

  Returns the constructor of the specified constructed generic type that corresponds to the specified constructor of the generic type definition.

  A object that represents the constructor of corresponding to , which specifies a constructor belonging to the generic type definition of .

  The constructed generic type whose constructor is returned. A constructor on the generic type definition of , which specifies which constructor of to return.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.ConstructorInfo[] ``

  Retrieve the type using or and use reflection on the retrieved type.

  Returns an array of objects representing the public and non-public constructors defined for this class, as specified.

  Returns an array of objects representing the specified constructors defined for this class. If no constructors are defined, an empty array is returned.

  This must be a bit flag from as in InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` To be added.

  Returns all the custom attributes defined for this type.

  Returns an array of objects representing all the custom attributes of this type.

  Specifies whether to search this member's inheritance chain to find the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` `` To be added.

  Returns all the custom attributes of the current type that are assignable to a specified type.

  An array of custom attributes defined on the current type.

  The type of attribute to search for. Only attributes that are assignable to this type are returned. Specifies whether to search this member's inheritance chain to find the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  Retrieve the type using or and use reflection on the retrieved type.

  Calling this method always throws .

  This method is not supported. No value is returned.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo `` ``

  Retrieve the type using or and use reflection on the retrieved type.

  Returns the event with the specified name.

  An object representing the event declared or inherited by this type with the specified name, or null if there are no matches.

  The name of the event to search for. A bitwise combination of values that limits the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo[]

  Retrieve the type using or and use reflection on the retrieved type.

  Returns the public events declared or inherited by this type.

  Returns an array of objects representing the public events declared or inherited by this type. An empty array is returned if there are no public events.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo[] ``

  Retrieve the type using or and use reflection on the retrieved type.

  Returns the public and non-public events that are declared by this type.

  Returns an array of objects representing the events declared or inherited by this type that match the specified binding flags. An empty array is returned if there are no matching events.

  A bitwise combination of values that limits the search.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo `` ``

  Retrieve the type using or and use reflection on the retrieved type.

  Returns the field specified by the given name.

  Returns the object representing the field declared or inherited by this type with the specified name and public or non-public modifier. If there are no matches then null is returned.

  The name of the field to get. This must be a bit flag from as in InvokeMethod, NonPublic, and so on.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo `` ``

  The method provides a way to get a object that represents a field of a constructed generic type whose generic type definition is represented by a object.

  For example, suppose you have a object that represents the type G<T> in C# syntax (G(Of T) in Visual Basic, generic <T> ref class G in C++) and a object that represents a field public T F in C# syntax (Public F As T in Visual Basic, public: T F in C++) that is defined by G<T>. Suppose that G<T> has a generic method with type parameter U that creates an instance of the constructed type G<U> and calls field F on that instance. In order to emit the function call, you need a object that represents F on the constructed type — in other words, that is of type U rather than type T. To do this, first call the method on the object, specifying the object that represents U as the type argument. Then call the method with the return value of the method as parameter and the object that represents F as parameter . The return value is the object you need to emit the function call. The code example demonstrates this scenario.

  Returns the field of the specified constructed generic type that corresponds to the specified field of the generic type definition.

  A object that represents the field of corresponding to , which specifies a field belonging to the generic type definition of .

  The constructed generic type whose field is returned. A field on the generic type definition of , which specifies which field of to return.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo[] ``

  The method does not return fields in a particular order, such as alphabetical or declaration order. Your code must not depend on the order in which fields are returned, because that order can vary.

  Retrieve the type using or and use reflection on the retrieved type.

  Returns the public and non-public fields that are declared by this type.

  Returns an array of objects representing the public and non-public fields declared or inherited by this type. An empty array is returned if there are no fields, as specified.

  This must be a bit flag from : InvokeMethod, NonPublic, and so on.
- Method
  2.0.0.0
  4.0.0.0
  System.Type[]

  The elements of the returned array are in the order in which they appear in the list of type parameters for the generic type definition.

  A object represents a generic type definition if the method has been used to give it generic type parameters. This method retrieves the objects that represent the generic type parameters.

  For more information on generic types in reflection and a list of the invariant conditions for terms used in generic reflection, see the property.

  Returns an array of objects representing the type arguments of a generic type or the type parameters of a generic type definition.

  An array of objects. The elements of the array represent the type arguments of a generic type or the type parameters of a generic type definition.

- Method
  2.0.0.0
  4.0.0.0
  System.Type

  If you call the method on a object for which the property returns true, the property returns the current instance. A that represents a generic type is always a generic type definition.

  If you used the method to construct a generic type from a object that represents a generic type definition, using the method on the constructed type gets back the object that represents the generic type definition.

  Returns a object that represents a generic type definition from which the current type can be obtained.

  A object representing a generic type definition from which the current type can be obtained.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  Retrieve the type using or and use reflection on the retrieved type.

  Returns the interface implemented (directly or indirectly) by this class with the fully qualified name matching the given interface name.

  Returns a object representing the implemented interface. Returns null if no interface matching name is found.

  The name of the interface. If true, the search is case-insensitive. If false, the search is case-sensitive.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.InterfaceMapping ``

  Retrieve the type using or and use reflection on the retrieved type.

  Returns an interface mapping for the requested interface.

  Returns the requested interface mapping.

  The of the interface for which the mapping is to be retrieved.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] To be added.

  Returns an array of all the interfaces implemented on this type and its base types.

  Returns an array of objects representing the implemented interfaces. If none are defined, an empty array is returned.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] `` `` ``

  Retrieve the type using or and use reflection on the retrieved type.

  Returns all the public and non-public members declared or inherited by this type, as specified.

  Returns an array of objects representing the public and non-public members defined on this type if is used; otherwise, only the public members are returned.

  The name of the member. The type of the member to return. This must be a bit flag from , as in InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] ``

  Retrieve the type using or and use reflection on the retrieved type.

  Returns the members for the public and non-public members declared or inherited by this type.

  Returns an array of objects representing the public and non-public members declared or inherited by this type. An empty array is returned if there are no matching members.

  This must be a bit flag from , such as InvokeMethod, NonPublic, and so on.
- Method
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` ``

  The method provides a way to get a object that represents a method of a constructed generic type whose generic type definition is represented by a object.

  For example, suppose you have a object that represents the type G<T> in C# syntax (G(Of T) in Visual Basic, generic <T> ref class G in C++) and a object that represents a method T M() in C# syntax (Function M() As T in Visual Basic, T M() in C++) that is defined by G<T>. Suppose that G<T> has a generic method with type parameter U that creates an instance of the constructed type G<U> and calls method M on that instance. In order to emit the function call, you need a object that represents M on the constructed type — in other words, that returns type U rather than type T. To do this, first call the method on the object, specifying the object that represents U as the type argument. Then call the method with the return value of the method as parameter and the object that represents T M() as parameter . The return value is the object you need to emit the function call. The code example demonstrates a scenario similar to this.

  Returns the method of the specified constructed generic type that corresponds to the specified method of the generic type definition.

  A object that represents the method of corresponding to , which specifies a method belonging to the generic type definition of .

  The constructed generic type whose method is returned. A method on the generic type definition of , which specifies which method of to return.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[] ``

  Retrieve the type using or and use reflection on the retrieved type.

  Returns all the public and non-public methods declared or inherited by this type, as specified.

  Returns an array of objects representing the public and non-public methods defined on this type if is used; otherwise, only the public methods are returned.

  This must be a bit flag from as in InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  Retrieve the type using or and use reflection on the retrieved type.

  If this type is complete, for example, if CreateType has been called on this type, but there are nested types that are not complete, then GetNestedTypes will only return those nested types for which CreateType has been called.

  Returns the public and non-public nested types that are declared by this type.

  A object representing the nested type that matches the specified requirements, if found; otherwise, null.

  The containing the name of the nested type to get. A bitmask comprised of one or more that specify how the search is conducted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] ``

  Retrieve the type using or and use reflection on the retrieved type.

  If this type is complete, for example, if CreateType has been called on this type, but there are nested types that are not complete, then GetNestedTypes will only return those nested types for which CreateType has been called.

  Returns the public and non-public nested types that are declared or inherited by this type.

  An array of objects representing all the types nested within the current that match the specified binding constraints.

  An empty array of type , if no types are nested within the current , or if none of the nested types match the binding constraints.

  This must be a bit flag from , as in InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo[] ``

  Retrieve the type using or and use reflection on the retrieved type.

  Returns all the public and non-public properties declared or inherited by this type, as specified.

  Returns an array of PropertyInfo objects representing the public and non-public properties defined on this type if is used; otherwise, only the public properties are returned.

  This invocation attribute. This must be a bit flag from : InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid To be added.

  Retrieve the type using or and use reflection on the retrieved type.

  Retrieves the GUID of this type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` `` `` `` ``

  A method will be invoked if the number of parameters in the method declaration equals the number of arguments in the specified argument list, and the type of each argument can be converted by the binder to the type of the parameter.

  The binder will find all of the matching methods. These methods are found based on the type of binding requested (BindingFlags.InvokeMethod, BindingFlags.GetProperties, and so on.). The set of methods is filtered by the name, number of arguments, and a set of search modifiers defined in the binder. After the method is selected, it will be invoked. Accessibility is checked at that point. The search can control which set of methods are searched based upon the accessibility attribute associated with the method. The IBinder.BindToMethod method is responsible for selecting the method to be invoked. The default binder selects the most specific match.

  Access restrictions are ignored for fully trusted code. That is, private constructors, methods, fields, and properties can be accessed and invoked using Reflection whenever the code is fully trusted.

  This method is not currently supported. You can retrieve the type using or and use reflection on the retrieved type.

  Invokes the specified member. The method that is to be invoked must be accessible and provide the most specific match with the specified argument list, under the constraints of the specified binder and invocation attributes.

  Returns the return value of the invoked member.

  The name of the member to invoke. This can be a constructor, method, property, or field. A suitable invocation attribute must be specified. Note that it is possible to invoke the default member of a class by passing an empty string as the name of the member. The invocation attribute. This must be a bit flag from BindingFlags. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects using reflection. If binder is null, the default binder is used. See . The object on which to invoke the specified member. If the member is static, this parameter is ignored. An argument list. This is an array of Objects that contains the number, order, and type of the parameters of the member to be invoked. If there are no parameters this should be null. An array of the same length as with elements that represent the attributes associated with the arguments of the member to be invoked. A parameter has attributes associated with it in the metadata. They are used by various interoperability services. See the metadata specs for more details. An instance of CultureInfo used to govern the coercion of types. If this is null, the CultureInfo for the current thread is used. (Note that this is necessary to, for example, convert a String that represents 1000 to a Double value, since 1000 is represented differently by different cultures.) Each parameter in the array gets the value in the corresponding element in the array. If the length of is greater than the length of , the remaining argument values are passed in order.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Gets a value that indicates whether a specified object can be assigned to this object.

  true if can be assigned to this object; otherwise, false.

  The object to test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Gets a value that indicates whether a specified can be assigned to this object.

  true if the parameter and the current type represent the same type, or if the current type is in the inheritance hierarchy of , or if the current type is an interface that supports. false if none of these conditions are valid, or if is null.

  The object to test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether this object represents a constructed generic type.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean

  After the method has been called, the type represented by the object is complete. Exceptions are thrown on any further attempts to add members or change other characteristics of the type.

  Returns a value that indicates whether the current dynamic type has been created.

  true if the method has been called; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method is not supported for incomplete generic type parameters. Retrieve the type using or and use reflection on the retrieved type.

  Determines whether a custom attribute is applied to the current type.

  true if one or more instances of , or an attribute derived from , is defined on this type; otherwise, false.

  The type of attribute to search for. Only attributes that are assignable to this type are returned. Specifies whether to search this member's inheritance chain to find the attributes.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  When emitting code, a generic type parameter is represented by a object rather than by a object.

  Gets a value indicating whether the current type is a generic type parameter.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  A object represents a generic type definition if the method has been used to give it generic type parameters. An instance of the class that is generic is always a generic type definition.

  For more information on generic types in reflection and a list of the invariant conditions for terms used in generic reflection, see the property.

  Gets a value indicating whether the current type is a generic type.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  A object represents a generic type definition if the method has been used to give it generic type parameters. An instance of the class that is generic is always a generic type definition.

  A can be used to build generic type definitions, but not constructed generic types. To get a constructed generic type, call the method on a that represents a generic type definition.

  For more information on generic types in reflection and a list of the invariant conditions for terms used in generic reflection, see the property.

  Gets a value indicating whether the current represents a generic type definition from which other generic types can be constructed.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Boolean `` To be added.

  Determines whether this type is derived from a specified type.

  Read-only. Returns true if this type is the same as the type , or is a subtype of type ; otherwise, false.

  A that is to be checked.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Type

  The method provides a way to generate an array type with any possible element type, including generic types.

  Returns a object that represents a one-dimensional array of the current type, with a lower bound of zero.

  A object representing a one-dimensional array type whose element type is the current type, with a lower bound of zero.

- Method
  2.0.0.0
  4.0.0.0
  System.Type ``

  The method provides a way to generate an array type with any possible element type, including generic types.

  Returns a object that represents an array of the current type, with the specified number of dimensions.

  A object that represents a one-dimensional array of the current type.

  The number of dimensions for the array.
- Method
  2.0.0.0
  4.0.0.0
  System.Type

  The method provides a way to generate ref types (ByRef in Visual Basic) for parameter lists.

  Using Microsoft intermediate language (MSIL) syntax, if the current represents MyType, then the type returned by this method would be MyType&.

  Returns a object that represents the current type when passed as a ref parameter (ByRef in Visual Basic).

  A object that represents the current type when passed as a ref parameter (ByRef in Visual Basic).

- Method
  2.0.0.0
  4.0.0.0
  System.Type `System.ParamArray`

  Use this method when your emitted code requires a type constructed from the current generic type definition. It is not necessary to call the method before calling the method on a that represents a generic type definition. If the current does not represent the definition of a generic type, an is thrown.

  The object returned by this method functions as a placeholder for a constructed generic type in your emitted code. It is an instance of a class derived from that has limited capabilities. In particular:

  To get methods, fields, and constructors for these constructed generic types, use the , , and method overloads.

  Two instances that represent the same constructed type do not compare as equal. For example, in the following code t1.Equals(t2) returns false:

  code reference: System.Reflection.Emit.TypeBuilder.MakeGenericType#1

  Substitutes the elements of an array of types for the type parameters of the current generic type definition, and returns the resulting constructed type.

  A representing the constructed type formed by substituting the elements of for the type parameters of the current generic type.

  An array of types to be substituted for the type parameters of the current generic type definition.
- Method
  2.0.0.0
  4.0.0.0
  System.Type

  The method provides a way to generate pointer types for parameter lists.

  Using Microsoft intermediate language (MSIL) syntax, if the current represents MyType, then the type returned by this method would be MyType*.

  Returns a object that represents the type of an unmanaged pointer to the current type.

  A object that represents the type of an unmanaged pointer to the current type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module To be added. To be added.

  Retrieves the dynamic module that contains this type definition.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Retrieves the name of this type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Retrieves the namespace where this TypeBuilder is defined.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.PackingSize To be added: an object of type 'PackingSize' To be added

  Retrieves the packing size of this type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Returns the type that was used to obtain this type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Set a custom attribute using a custom attribute builder.

  An instance of a helper class to define the custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` ``

  For more information on how to format , see the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Sets a custom attribute using a specified custom attribute blob.

  The constructor for the custom attribute. A byte blob representing the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  If is null, is used as the base type.

  In the .NET Framework versions 1.0 and 1.1, no exception is thrown if is an interface type, but a is thrown when the method is called.

  The method does not check for most invalid parent types. For example, it does not reject a parent type that has no default constructor when the current type has a default constructor, it does not reject sealed types, and it does not reject the type. In all these cases, exceptions are thrown by the method.

  Sets the base type of the type currently under construction.

  The new base type.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Retrieves the total size of a type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns the name of the type excluding the namespace.

  Read-only. The name of the type excluding the namespace.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.RuntimeTypeHandle To be added.

  Retrieve the type using or and use reflection on the retrieved type.

  Not supported in dynamic modules.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeToken To be added: an object of type 'TypeToken' To be added

  Returns the type token of this type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Returns the underlying system type for this TypeBuilder.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 0 To be added

  Represents that total size for the type is not specified.